Bug 983647 - candlepin-selinux package missing in sam 1.3 beta
candlepin-selinux package missing in sam 1.3 beta
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3
Assigned To: Chris Duryee
sthirugn@redhat.com
:
Depends On: 993028
Blocks: sam13-tracker 987696
  Show dependency treegraph
 
Reported: 2013-07-11 11:33 EDT by sthirugn@redhat.com
Modified: 2013-10-01 07:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 07:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upgrade error (38.81 KB, text/plain)
2013-08-15 18:02 EDT, sthirugn@redhat.com
no flags Details

  None (edit)
Description sthirugn@redhat.com 2013-07-11 11:33:02 EDT
Description of problem:
candlepin-selinux package missing in sam 1.3 beta

Version-Release number of selected component (if applicable):
SAM 1.3 Beta

How reproducible:
Always

Steps to Reproduce:
1. Install SAM 1.2.1 from RHN
2. Try upgrade to SAM 1.3 Beta
(I tried the following steps for upgrade: 
-> Created a repo pointing to sam 1.3 beta
-> # yum upgrade)

Actual results:
yum upgrade failed with the following error:

Error: Package: candlepin-selinux-0.7.24-1.el6_3.noarch (@rhel-6-server-sam-rpms)
           Requires: candlepin = 0.7.24-1.el6_3
           Removing: candlepin-0.7.24-1.el6_3.noarch (@rhel-6-server-sam-rpms)
               candlepin = 0.7.24-1.el6_3
           Updated By: candlepin-0.8.9-1.el6_4.noarch (qe)
               candlepin = 0.8.9-1.el6_4
           Available: candlepin-0.5.26-1.el6.noarch (rhel-6-server-sam-rpms)
               candlepin = 0.5.26-1.el6
           Available: candlepin-0.6.5-1.el6_2.noarch (rhel-6-server-sam-rpms)
               candlepin = 0.6.5-1.el6_2
           Available: candlepin-0.7.23-1.el6_3.noarch (rhel-6-server-sam-rpms)
               candlepin = 0.7.23-1.el6_3
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
Yum upgrade completes with no error so katello upgrade can be run

Additional info:
-> SAM 1.2.1 from production seem to have candlepin-selinux-0.7.24-1.el6_3.noarch
-> So it looks like the package is missing only in SAM 1.3 Beta
Comment 1 John Matthews 2013-07-11 12:31:24 EDT
I spoke with Brad about this issue, looks like the issue is that only "katello-all" has a Requires of "candlepin-selinux".

When installing "katello-headpin-all" there is _no_ requires for "candlepin-selinux".

This impacts the rel-eng process, when rel-eng builds a compose they start with the top level required packages, then pull in all deps associated.

"katello-headpin-all" is the typical top level package for SAM, if we add the requires for "candlepin-selinux" to it, then this issue should be resolved with next compose.
Comment 2 Bryan Kearney 2013-07-16 15:23:17 EDT
https://github.com/Katello/katello/pull/2637
Comment 3 Bryan Kearney 2013-07-18 07:25:47 EDT
fixed in master at 

commit b3c0189e8ad134895480d7adb746588860ceee62
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Tue Jul 16 15:21:08 2013 -0400

    983647: katello-headpin-all should pull in candlepin-selinux
Comment 4 Bryan Kearney 2013-08-02 14:51:38 EDT
SNAP0 contains these bug fixes. Moving to ON_QA.
Comment 6 sthirugn@redhat.com 2013-08-15 18:00:42 EDT
Failed QA. (katello-upgrade stdout error attached)

Packages tested:
* candlepin-0.8.20-1.el6sam.noarch
* candlepin-cert-consumer-cloud-qe-21.idm.lab.bos.redhat.com-1.0-1.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.20-1.el6sam.noarch
* candlepin-tomcat6-0.8.20-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-7.el6sat.noarch
* katello-cli-common-1.4.3-7.el6sat.noarch
* katello-common-1.4.3-8.el6sam_splice.noarch
* katello-configure-1.4.4-2.el6sat.noarch
* katello-glue-candlepin-1.4.3-8.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-8.el6sam_splice.noarch
* katello-headpin-1.4.3-8.el6sam_splice.noarch
* katello-headpin-all-1.4.3-8.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.32-1.el6sam.noarch
* thumbslug-selinux-0.0.32-1.el6sam.noarch
Comment 7 sthirugn@redhat.com 2013-08-15 18:02:07 EDT
Created attachment 787073 [details]
Upgrade error
Comment 8 sthirugn@redhat.com 2013-08-15 18:03:37 EDT
Note that one of my previous upgrades passed.  But this one failed.

Scenario here:
1. Install SAM 1.2.1 from RHN
2. Create Users, Environments, Roles, Upload manifests, activation keys, register and subscribe systems
Comment 10 sthirugn@redhat.com 2013-08-16 09:48:37 EDT
VERIFIED.The SAM 1.3 upgrade now pulls in the candlepin selinux package.

candlepin-selinux-0.8.20-1.el6sam.noarch

* candlepin-0.8.20-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.20-1.el6sam.noarch
* candlepin-tomcat6-0.8.20-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-7.el6sat.noarch
* katello-cli-common-1.4.3-7.el6sat.noarch
* katello-common-1.4.3-8.el6sam_splice.noarch
* katello-configure-1.4.4-2.el6sat.noarch
* katello-glue-candlepin-1.4.3-8.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-8.el6sam_splice.noarch
* katello-headpin-1.4.3-8.el6sam_splice.noarch
* katello-headpin-all-1.4.3-8.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.32-1.el6sam.noarch
* thumbslug-selinux-0.0.32-1.el6sam.noarch
Comment 12 errata-xmlrpc 2013-10-01 07:01:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1390.html

Note You need to log in before you can comment on or make changes to this bug.